import { APIGatewayProxyEvent, APIGatewayProxyResult, Context } from 'aws-lambda';
import BaseRouter from './BaseRouter';
export type controllerResultType = APIGatewayProxyResult;
export type HandlerResultType = Promise<controllerResultType>;
export type HandlerType = (event: APIGatewayProxyEvent, context: Context) => HandlerResultType;
export default class AwsSamRouter extends BaseRouter<HandlerType> {
    constructor();
    expose(): HandlerType;
}
