"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createController = void 0;
/**
 * Returns an array of RouteController<T> where T is a function that depends of the router handler
 * @param config IControllerConfig<T> config object
 * @returns An array of RouteController<T> where T is a function that depends of the router handler.
 */
var createController = function (config) {
    return Object.entries(config).map(function (_a) {
        var _b = __read(_a, 2), method = _b[0], controller = _b[1];
        return ({ method: method, controller: controller });
    });
};
exports.createController = createController;
