import { APIGatewayProxyEvent, APIGatewayProxyResult, Context } from 'aws-lambda';
import ProxyRouter from './ProxyRouter';
export type controllerResultType = APIGatewayProxyResult;
export type HandlerResultType = Promise<controllerResultType>;
export type HandlerType = (event: APIGatewayProxyEvent, context: Context) => HandlerResultType;
export default class AwsProxyRouter extends ProxyRouter<HandlerType> {
    expose(): HandlerType;
}
