import { RouterController } from '../types/TRouter';
import { IControllerConfig } from '../types/TController';
/**
 * Returns an array of RouteController<T> where T is a function that depends of the router handler
 * @param config IControllerConfig<T> config object
 * @returns An array of RouteController<T> where T is a function that depends of the router handler.
 */
export declare const createController: <T>(config: IControllerConfig<T>) => RouterController<T>[];
